メインコンテンツまでスキップ

Purchase Details (ProductV2)

This API provides purchase details from the ProductV2 service. It allows you to retrieve detailed information about a purchase using the purchaseToken. It is useful for obtaining the Order UID (which can be used in other APIs) and verifying the purchase status. This API does not require authentication.

Endpoint

MethodURL
GEThttps://api.catappult.io/productv2/8.20250505/inapp/purchases/{purchase_token}

Authentication

No authentication required.

Path Parameters

ParameterTypeRequiredDescription
purchase_tokenstringRequiredPurchase ID defined as token in the Purchase class of the SDK.

Response

StatusDescription
200Success. Returns the purchase details.

Success (200) Response Fields

NameTypeDescription
uidStringPurchase ID defined as token in the Purchase class.
skuStringSKU of the product purchased.
domainStringPackage name of the application that originated this purchase.
typeStringType of the product purchased.
statusStringStatus of the transaction.
stateStringState of the transaction.
payloadStringString-based payload specified by the developer when initiating this purchase.
createdStringTimestamp of the creation date. E.g. 2025-01-14T11:06:31.231117Z
buyerObjectObject with information of the buyer source.
buyer.typeStringBuyer type. Example: WALLET
buyer.referenceStringBuyer reference.
orderObjectObject with the information of the order made in the payment.
order.uidStringUID of the order. Defined as orderId in the Purchase class.
order.gatewayStringGateway of the order. Possible value is broker.
order.referenceStringReference ID of the order. Defined as UID in Aptoide Connect channels.
order.statusStringStatus of the order made.
order.createdStringTimestamp of the creation date. E.g. 2025-01-14T11:06:31.231117Z

Example Response

{
"uid": "catappult.inapp.purchase.AXVCN5PZPXNYKQ7J",
"sku": "attempts",
"domain": "com.appcoins.diceroll.sdk",
"type": "CONSUMABLE",
"status": "COMPLETED",
"state": "CONSUMED",
"payload": "dee8217d-8f5b-427c-872c-fa5bb32c2444",
"created": "2025-05-02T22:12:20.053838Z",
"buyer": {
"type": "WALLET",
"reference": "0x6e581078d392f98a53a8e9b0a10a35169c431a1e"
},
"order": {
"uid": "SEVD6MDBKR5XBZZU",
"gateway": "broker",
"reference": "SEVD6MDBKR5XBZZU",
"status": "COMPLETED",
"created": "2025-05-02T22:12:20.096345Z"
}
}

type

ValueDescription
CONSUMABLEProduct type is a Consumable.
SUBSCRIPTIONProduct type is a Subscription.

status

ValueDescription
PENDINGThe purchase is pending one or more actions to be completed. Example: Consumption
COMPLETEDThe purchase is successfully completed.
VOIDEDThe purchase is voided.

state

ValueDescription
PENDINGThe purchase is pending acknowledgement or consumption.
CONSUMEDThe purchase has been consumed.
ACKNOWLEDGEDThe purchase has been acknowledged.

order.status

ValueDescription
PENDINGThe order is pending one or more actions to be completed.
COMPLETEDThe order is successfully completed.
FAILEDThe order failed to be completed due to an error.
CANCELEDThe order is canceled and may no longer be completed.
REFUNDEDThe order was refunded.
CHARGEDBACKThe order was chargedback.